<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout android:background="@color/white" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <com.moji.pulltorefresh.FullBannerPullToFreshContainer android:id="@id/add_city_pulltofresh" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_marginTop="@dimen/city_full_banner_margintop">
        <FrameLayout android:layout_width="fill_parent" android:layout_height="fill_parent">
            <RelativeLayout android:id="@id/empty_view" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
                <ImageView android:id="@id/iv_search_start_bg" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="@dimen/city_search_start_margin_top" android:src="@drawable/view_icon_empty_no_city" android:layout_centerHorizontal="true" />
                <TextView android:textSize="16.0dip" android:textColor="@color/message_text_color" android:id="@id/tv_point_title" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="10.0dip" android:text="@string/point_title_pity" android:layout_below="@id/iv_search_start_bg" android:layout_centerHorizontal="true" />
                <TextView android:textSize="16.0dip" android:textColor="@color/message_sub_text_color" android:id="@id/tv_search_start" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="1.0dip" android:text="@string/city_search_start_text" android:layout_below="@id/tv_point_title" android:layout_centerHorizontal="true" />
            </RelativeLayout>
            <com.mojiweather.area.view.SizeChangedListView android:id="@id/lv_add_city_list" android:scrollbars="none" android:layout_width="fill_parent" android:layout_height="fill_parent" android:divider="@color/transparent" android:smoothScrollbar="true" android:overScrollMode="never" />
            <ListView android:id="@id/lv_add_city_list_result" android:visibility="gone" android:scrollbars="none" android:layout_width="fill_parent" android:layout_height="fill_parent" android:divider="@color/transparent" android:smoothScrollbar="true" android:overScrollMode="never" />
            <RelativeLayout android:id="@id/fl_owner_header" android:layout_width="fill_parent" android:layout_height="wrap_content">
                <RelativeLayout android:id="@id/rl_header_picture" android:background="@color/white" android:clickable="true" android:layout_width="wrap_content" android:layout_height="@dimen/city_search_height_top_big">
                    <ImageView android:id="@id/iv_header_picture" android:layout_width="fill_parent" android:layout_height="@dimen/city_search_pic_height_top_big" android:layout_marginBottom="@dimen/city_search_pic_margin_bottom" android:scaleType="centerCrop" android:layout_alignParentBottom="true" />
                </RelativeLayout>
                <RelativeLayout android:id="@id/rl_header_top" android:layout_width="fill_parent" android:layout_height="@dimen/city_search_height_top" android:layout_marginTop="@dimen/city_search_margin_top">
                    <TextView android:textSize="21.0dip" android:textColor="@color/white" android:id="@id/tv_city_search_pic_content" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="43.0dip" android:layout_marginRight="16.0dip" android:layout_marginBottom="17.0dip" android:maxLines="1" android:singleLine="true" android:layout_alignParentRight="true" />
                    <RelativeLayout android:id="@id/ll_search_city" android:paddingLeft="16.0dip" android:paddingRight="16.0dip" android:focusable="true" android:focusableInTouchMode="true" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_below="@id/tv_city_search_pic_content">
                        <com.mojiweather.area.view.EditTextCancelable android:textSize="18.0dip" android:textColor="@color/common_black_80" android:textColorHint="@color/common_login_hint" android:id="@id/EditText01" android:background="@drawable/city_search_et_bg" android:paddingLeft="17.0dip" android:layout_width="fill_parent" android:layout_height="36.0dip" android:layout_marginRight="50.0dip" android:hint="@string/add_city_edit_text" android:maxLines="1" android:singleLine="true" android:maxLength="20" android:drawableRight="@drawable/search_weather_clear" android:layout_alignParentLeft="true" android:layout_centerVertical="true" android:textCursorDrawable="@null" />
                        <RelativeLayout android:layout_width="wrap_content" android:layout_height="36.0dip" android:layout_alignParentRight="true">
                            <TextView android:textSize="18.0dip" android:textColor="@drawable/city_manager_cancel_selector" android:gravity="center" android:id="@id/tv_search_cancel" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="fill_parent" android:text="@string/cancel" android:layout_centerInParent="true" />
                            <RelativeLayout android:id="@id/rl_city_search_btn" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_centerInParent="true">
                                <ImageView android:layout_gravity="center" android:background="@color/transparent" android:layout_width="70.0dip" android:layout_height="36.0dip" android:layout_marginRight="0.0dip" android:src="@drawable/city_search_bt_bg" android:scaleType="fitXY" />
                                <ImageView android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/city_search_bt_icon" android:layout_centerInParent="true" />
                            </RelativeLayout>
                        </RelativeLayout>
                    </RelativeLayout>
                    <ImageView android:id="@id/iv_owner_message_right" android:layout_width="fill_parent" android:layout_height="46.0dip" android:layout_marginTop="@dimen/city_search_btn_margin_top" />
                    <LinearLayout android:orientation="horizontal" android:id="@id/ll_city_search_pic_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="13.0dip" android:layout_marginRight="16.0dip" android:layout_below="@id/ll_search_city" android:layout_alignParentRight="true">
                        <TextView android:textSize="13.0dip" android:textColor="@color/white" android:ellipsize="end" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/city_search_pic_come_from" android:maxLines="1" android:singleLine="true" />
                        <TextView android:textSize="13.0dip" android:textColor="@color/blue" android:ellipsize="end" android:id="@id/tv_city_search_pic_own_name" android:layout_width="wrap_content" android:layout_height="wrap_content" android:maxLines="1" android:singleLine="true" />
                    </LinearLayout>
                </RelativeLayout>
            </RelativeLayout>
        </FrameLayout>
    </com.moji.pulltorefresh.FullBannerPullToFreshContainer>
    <ImageView android:id="@id/iv_city_search_close" android:paddingLeft="10.0dip" android:paddingTop="8.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/add_city_close_selector" />
</RelativeLayout>